Package com.xebialabs.xlrelease.domain.events

# Class ReleaseStartedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleaseStartedEvent

All Implemented Interfaces:
  `ReleaseEvent`, `ReleaseExecutionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseStartedEvent extends Object implements ReleaseExecutionEvent, scala.Product, Serializable
Event published when a release has started. param: release the instance of started release. Note that it will not necessarily be in the `IN_PROGRESS` state: for example, if a release has no tasks, then this instance will already be in the `COMPLETED` state. param: isPartOfBulkOperation flag indicating if this release was started as a part of bulk start release action.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseStartedEvent(Release release, boolean isPartOfBulkOperation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `$lessinit$greater$default$2()`
  `static ReleaseStartedEvent`
  `apply(Release release, boolean isPartOfBulkOperation)`
  `static boolean`
  `apply$default$2()`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseStartedEvent`
  `copy(Release release, boolean isPartOfBulkOperation)`
  `Release`
  `copy$default$1()`
  `boolean`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `boolean`
  `isPartOfBulkOperation()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Release`
  `release()`
  The release of which status has changed.
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Release,Object>>`
  `unapply(ReleaseStartedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseStartedEvent

    public ReleaseStartedEvent(Release release, boolean isPartOfBulkOperation)

- ## Method Details

  - ### $lessinit$greater$default$2

    public static boolean $lessinit$greater$default$2()

  - ### apply

    public static ReleaseStartedEvent apply(Release release, boolean isPartOfBulkOperation)

  - ### apply$default$2

    public static boolean apply$default$2()

  - ### unapply

    public static scala.Option<scala.Tuple2<Release,Object>> unapply(ReleaseStartedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### release

    public Release release()
    Description copied from interface: `ReleaseExecutionEvent`
    The release of which status has changed.
    Specified by:
      `release` in interface `ReleaseExecutionEvent`
    Returns:
      (undocumented)

  - ### isPartOfBulkOperation

    public boolean isPartOfBulkOperation()

  - ### copy

    public ReleaseStartedEvent copy(Release release, boolean isPartOfBulkOperation)

  - ### copy$default$1

    public Release copy$default$1()

  - ### copy$default$2

    public boolean copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`